Get scores
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/metrics/scores \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/metrics/scores"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/metrics/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Scores",
"@id": "/.well-known/genid/78c595ac88fa9659fa80",
"@type": "Scores",
"scores": [
{
"@id": "/.well-known/genid/78c595ac88fa9659fa80",
"@type": "ScoreBySource",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"source": "syntage",
"type": "internal",
"score": "532",
"generatedAt": "2020-01-01T12:15:00.000Z",
"metadata": {
"breakdown": {
"offenders": {
"margen_bruto": "Missing gross margin",
"margen_neto": "Missing net margin"
},
"performers": {
"debt_to_income": "Debt to income between 0.4 and 0.6",
"quick_ratio": "Quick ratio > 3"
}
},
"distribution": [
{
"label": 500,
"metric": 1
}
]
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Company
Scores Insight
Entity scores aggregated from every configured score source (Syntage Score and any third-party rating providers enabled for the organization).
GET
/
entities
/
{entityId}
/
insights
/
metrics
/
scores
Get scores
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Was this page helpful?
⌘I